List Saved Searches
curl --request GET \
--url https://app.govly.com/api/enterprise/awards/saved_searches \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.govly.com/api/enterprise/awards/saved_searches"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.govly.com/api/enterprise/awards/saved_searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "<string>",
"active": true,
"createdByEmail": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"query": {}
}
],
"meta": {
"currentPage": 123,
"per": 123,
"total": 123,
"totalPages": 123
}
}Saved Searches
List Saved Searches
Returns a paginated list of saved award searches for your organization
GET
/
api
/
enterprise
/
awards
/
saved_searches
List Saved Searches
Request
integer
default:1
Page number for pagination
integer
default:50
Number of results per page
Response
array
Array of saved search objects
Show Saved Search Object
Show Saved Search Object
string
Unique identifier for the saved search
string
Name of the saved search
boolean
Whether the saved search is currently active
string
Email of the user who created the saved search
string
ISO 8601 timestamp when the saved search was created
string
ISO 8601 timestamp when the saved search was last updated
object
Search criteria configuration containing the filters and parameters used for this saved search
object
Example Request
curl "https://app.govly.com/api/enterprise/awards/saved_searches?page=1&per=25" \
-H "X-API-KEY: your_api_key"
Was this page helpful?
⌘I